View Issue Details

IDProjectCategoryView StatusLast Update
0025533mantisbtrelationshipspublic2019-03-16 20:20
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025533: When adding multiple relationships, ignore source issue and empty issue ids
Description

When adding more than one relationship at a time, we should avoid triggering errors if possible, as it may be confusing for the user who will not know whether the whole operation failed, or some relationships were successfully added.

Use case for ignoring source issue ids: if several issues need to be related to each other, admin can create a list of issues e.g. 111,222,333 and paste it as-is in each of them. Currently, Mantis throws an error when trying to relate an issue to itself.

When the list contains an empty id (e.g. the list has a trailing , or one id was deleted in the middle but the extra delimiter remains like 111,,333), we can just silently and without harm ignore the empty id instead of throwing an APPLICATION ERROR 200.

TagsNo tags attached.

Relationships

related to 0025532 closeddregad Error when adding a relationship if bug id contains whitespace as prefix or suffix 

Activities

Related Changesets

MantisBT: master 4b99aecd

2019-02-27 07:19:21

dregad

Details Diff
Ignore source/empty ids when adding multiple relationships

Fixes 0025533
Affected Issues
0025533
mod - bug_relationship_add.php Diff File

Issue History

Date Modified Username Field Change
2019-02-27 07:13 dregad New Issue
2019-02-27 07:14 dregad Assigned To => dregad
2019-02-27 07:14 dregad Status new => assigned
2019-02-27 07:14 dregad Relationship added related to 0025532
2019-02-27 07:28 dregad Note Added: 0061591
2019-03-02 15:55 dregad Changeset attached => MantisBT master 4b99aecd
2019-03-02 15:55 dregad Status assigned => resolved
2019-03-02 15:55 dregad Resolution open => fixed
2019-03-02 15:55 dregad Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed